import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Bizmundo/f26b201cbc868c5979a98b7b8a342665/raw/mtcars.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
     d.mpg=+d.mpg
      d.cyl=+d.cyl
      d.disp=+d.disp
      d.hp=+d.hp
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};